﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Mvc;

namespace Destroy_Session_Core.Controllers
{
    public class HomeController : Controller
    {
        public IActionResult Index()
        {
            return View();
        }

        [HttpPost]
        public IActionResult SetSession()
        {
            //Set value in Session object.
            HttpContext.Session.SetString("Name", "Mudassar Khan");

            return RedirectToAction("Index");
        }

        [HttpPost]
        public IActionResult DeleteSession()
        {
            //Delete the Session object.
            HttpContext.Session.Remove("Name");

            return RedirectToAction("Index");
        }
    }
}